### GET /instances/{instance_id}/monitors/{monitor_id} Source: https://cloud.ibm.com/apidocs/dns-svcs.json Get details of a load balancer monitor ```markdown ### Responses #### 200 - Success **monitor** - **id** (string): Identifier of the load balancer monitor. (example: "5365b73c-ce6f-4d6f-ad9f-d9c131b26370") - **name** (string): The name of the load balancer monitor. (example: "healthcheck-monitor") - **description** (string): Descriptive text of the load balancer monitor. (example: "Load balancer monitor for glb.example.com.") - **type** (string): The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS' and 'TCP'. (example: "HTTPS") - **port** (integer): Port number to connect to for the health check. Required for TCP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443). (example: 8080) - **interval** (integer): The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations. (example: 60) - **retries** (integer): The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately. (example: 2) - **timeout** (integer): The timeout (in seconds) before marking the health check as failed. (example: 5) - **method** (string (GET|HEAD)): The method to use for the health check applicable to HTTP/HTTPS based checks, the default value is 'GET'. (example: "GET") ("GET"|"HEAD") - **path** (string): The endpoint path to health check against. This parameter is only valid for HTTP and HTTPS monitors. (example: "/health") - **headers** (array (healthcheck_header)): The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors. Array items: - **name** (string) (required): The name of HTTP request header. (example: "Host") - **value** (array (string)) (required): The value of HTTP request header. - **allow_insecure** (boolean): Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTPS monitors. (example: false) - **expected_codes** (string): The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors. (example: "200") - **expected_body** (string): A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors. (example: "alive") - **created_on** (string (date-time)): the time when a load balancer monitor is created. (example: "2019-01-01T05:20:00Z") - **modified_on** (string (date-time)): the recent time when a load balancer monitor is modified. (example: "2019-01-01T05:20:00Z") #### 400 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 401 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 403 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 404 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 500 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") ### Example Usage ```bash curl -X GET "https://api.dns-svcs.cloud.ibm.com/v1/instances/{instance_id}/monitors/{monitor_id}" ``` ``` -------------------------------- ### GET /instances/{instance_id}/monitors Source: https://cloud.ibm.com/apidocs/dns-svcs.json List the load balancer monitors ```markdown ### Parameters - **offset** (integer, query, optional): Specify how many resources to skip over, the default value is 0. - **limit** (integer, query, optional): Specify maximum resources might be returned. (example: 200) ### Responses #### 200 - Success **list_monitors** - **monitors** (array (monitor)) (required): An array of load balancer monitors Array items: - **id** (string): Identifier of the load balancer monitor. (example: "5365b73c-ce6f-4d6f-ad9f-d9c131b26370") - **name** (string): The name of the load balancer monitor. (example: "healthcheck-monitor") - **description** (string): Descriptive text of the load balancer monitor. (example: "Load balancer monitor for glb.example.com.") - **type** (string): The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS' and 'TCP'. (example: "HTTPS") - **port** (integer): Port number to connect to for the health check. Required for TCP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443). (example: 8080) - **interval** (integer): The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations. (example: 60) - **retries** (integer): The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately. (example: 2) - **timeout** (integer): The timeout (in seconds) before marking the health check as failed. (example: 5) - **method** (string (GET|HEAD)): The method to use for the health check applicable to HTTP/HTTPS based checks, the default value is 'GET'. (example: "GET") ("GET"|"HEAD") - **path** (string): The endpoint path to health check against. This parameter is only valid for HTTP and HTTPS monitors. (example: "/health") - **headers** (array (healthcheck_header)): The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors. Array items: - **name** (string) (required): The name of HTTP request header. (example: "Host") - **value** (array (string)) (required): The value of HTTP request header. - **allow_insecure** (boolean): Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTPS monitors. (example: false) - **expected_codes** (string): The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors. (example: "200") - **expected_body** (string): A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors. (example: "alive") - **created_on** (string (date-time)): the time when a load balancer monitor is created. (example: "2019-01-01T05:20:00Z") - **modified_on** (string (date-time)): the recent time when a load balancer monitor is modified. (example: "2019-01-01T05:20:00Z") - **offset** (integer (int32)) (required): The number of resources to skip over (example: 0) - **limit** (integer (int32)) (required): The maximum number of resources might be returned (example: 200) - **count** (integer (int32)) (required): The number of resources are returned (example: 1) - **total_count** (integer (int32)) (required): Total number of resources (example: 1) - **first** (object) (required): href - **href** (string): href (example: "https://api.dns-svcs.cloud.ibm.com/v1/instances/434f6c3e-6014-4124-a61d-2e910bca19b1/dnszones?offset=0&limit=200") - **last** (object) (required): href - **previous** (object): href - **next** (object): href #### 400 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 401 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 403 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 404 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 500 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") ### Example Usage ```bash curl -X GET "https://api.dns-svcs.cloud.ibm.com/v1/instances/{instance_id}/monitors?offset=0&limit=200" ``` ``` -------------------------------- ### GET /instances/{instance_id}/custom_resolvers Source: https://cloud.ibm.com/apidocs/dns-svcs.json List the custom resolvers ```markdown ### Responses #### 200 - Success **custom_resolver_list** - **custom_resolvers** (array (custom_resolver)): An array of custom resolvers Array items: - **id** (string): Identifier of the custom resolver. (example: "5365b73c-ce6f-4d6f-ad9f-d9c131b26370") - **name** (string): Name of the custom resolver. (example: "my-resolver") - **description** (string): Descriptive text of the custom resolver. (example: "custom resolver") - **enabled** (boolean): Whether the custom resolver is enabled. (example: false) - **health** (string (HEALTHY|DEGRADED|CRITICAL)): Healthy state of the custom resolver. (example: "HEALTHY") ("HEALTHY"|"DEGRADED"|"CRITICAL") - **locations** (array (location)): Locations on which the custom resolver will be running. Array items: - **id** (string): Location ID. (example: "9a234ede-c2b6-4c39-bc27-d39ec139ecdb") - **subnet_crn** (string): Subnet CRN. (example: "crn:v1:bluemix:public:is:us-south-1:a/01652b251c3ae2787110a995d8db0135::subnet:0716-b49ef064-0f89-4fb1-8212-135b12568f04") - **enabled** (boolean): Whether the location is enabled for the custom resolver. (example: true) - **healthy** (boolean): Whether the DNS server in this location is healthy or not. (example: true) - **dns_server_ip** (string): The ip address of this dns server. (example: "10.10.16.8") - **created_on** (string (date-time)): the time when a custom resolver is created, RFC3339 format. (example: "2021-04-21T08:18:25Z") - **modified_on** (string (date-time)): the recent time when a custom resolver is modified, RFC3339 format. (example: "2021-04-21T08:18:25Z") #### 400 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 401 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 403 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 404 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 500 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") ### Example Usage ```bash curl -X GET "https://api.dns-svcs.cloud.ibm.com/v1/instances/{instance_id}/custom_resolvers" ``` ``` -------------------------------- ### GET /instances/{instance_id}/pools Source: https://cloud.ibm.com/apidocs/dns-svcs.json List the load balancer pools ```markdown ### Parameters - **offset** (integer, query, optional): Specify how many resources to skip over, the default value is 0. - **limit** (integer, query, optional): Specify maximum resources might be returned. (example: 200) ### Responses #### 200 - Success **list_pools** - **pools** (array (pool)) (required): An array of load balancer pools Array items: - **id** (string): Identifier of the load balancer pool. (example: "5365b73c-ce6f-4d6f-ad9f-d9c131b26370") - **name** (string): Name of the load balancer pool. (example: "dal10-az-pool") - **description** (string): Descriptive text of the load balancer pool. (example: "Load balancer pool for dal10 availability zone.") - **enabled** (boolean): Whether the load balancer pool is enabled. (example: true) - **healthy_origins_threshold** (integer): The minimum number of origins that must be healthy for this pool to serve traffic. If the number of healthy origins falls below this number, the pool will be marked unhealthy and we will failover to the next available pool. (example: 1) - **origins** (array (origin)): The list of origins within this pool. Traffic directed at this pool is balanced across all currently healthy origins, provided the pool itself is healthy. Array items: - **name** (string): The name of the origin server. (example: "app-server-1") - **description** (string): Description of the origin server. (example: "description of the origin server") - **address** (string): The address of the origin server. It can be a hostname or an IP address. (example: "10.10.16.8") - **enabled** (boolean): Whether the origin server is enabled. (example: true) - **health** (boolean): The health state of the origin server. (example: true) - **health_failure_reason** (string): The failure reason of the origin server if it is unhealthy. (example: "") - **monitor** (string): The ID of the load balancer monitor to be associated to this pool. (example: "7dd6841c-264e-11ea-88df-062967242a6a") - **notification_channel** (string): The notification channel. (example: "https://mywebsite.com/dns/webhook") - **health** (string (HEALTHY|DEGRADED|CRITICAL)): Healthy state of the load balancer pool. (example: "HEALTHY") ("HEALTHY"|"DEGRADED"|"CRITICAL") - **healthcheck_region** (string (|us-south|us-east|eu-gb|eu-du|au-syd|jp-tok)): Health check region of VSIs. (example: "us-south") (""|"us-south"|"us-east"|"eu-gb"|"eu-du"|"au-syd"|"jp-tok") - **healthcheck_subnets** (array (string)): Health check subnet CRNs. - **healthcheck_vsis** (array (object)): Health check VSI information. Array items: - **subnet** (string): Health check VSI subnet CRN. (example: "crn:v1:staging:public:is:us-south-1:a/01652b251c3ae2787110a995d8db0135::subnet:0716-b49ef064-0f89-4fb1-8212-135b12568f04") - **ipv4_address** (string): healthcheck VSI ip address (example: "10.10.16.8") - **ipv4_cidr_block** (string): ipv4 cidr block (example: "10.10.16.0/24") - **vpc** (string): vpc crn (example: "crn:v1:staging:public:is:us-south:a/01652b251c3ae2787110a995d8db0135::vpc:r134-8c426a0a-ec74-4c97-9c02-f6194c224d8a") - **created_on** (string (date-time)): the time when a load balancer pool is created. (example: "2019-01-01T05:20:00Z") - **modified_on** (string (date-time)): the recent time when a load balancer pool is modified. (example: "2019-01-01T05:20:00Z") - **offset** (integer (int32)) (required): The number of resources to skip over (example: 0) - **limit** (integer (int32)) (required): The maximum number of resources might be returned (example: 200) - **count** (integer (int32)) (required): The number of resources are returned (example: 1) - **total_count** (integer (int32)) (required): Total number of resources (example: 1) - **first** (object) (required): href - **href** (string): href (example: "https://api.dns-svcs.cloud.ibm.com/v1/instances/434f6c3e-6014-4124-a61d-2e910bca19b1/dnszones?offset=0&limit=200") - **last** (object) (required): href - **previous** (object): href - **next** (object): href #### 400 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 401 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 403 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 404 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") #### 500 - response **error_container** - **errors** (array (error_model)) (required): An array of error models Array items: - **code** (string) (required): A snake case string succinctly identifying the problem (example: "resource_not_found") - **message** (string) (required): An explanation of the problem (example: "The DNS zone doesn't exist.") - **more_info** (string): Link to documentation about this error (example: "https://cloud.ibm.com/apidocs/dns-svcs#error-handling") - **target** (object): Error target - **name** (string) (required): The name of the problematic field, query parameter, or header (example: "label") - **type** (string (field|header|parameter)) (required): The type of input where the problem was (example: "field") ("field"|"header"|"parameter") - **trace** (string) (required): Uniquely identifying the request (example: "94115732-333b-4bf1-a542-aacbb0ca72de") ### Example Usage ```bash curl -X GET "https://api.dns-svcs.cloud.ibm.com/v1/instances/{instance_id}/pools?offset=0&limit=200" ``` ```